from api_graphql.abc.input_abc import InputABC


class AttachmentInput(InputABC):

    def __init__(self, src: dict):
        InputABC.__init__(self, src)

        self._filename = self.option("filename", str, required=True)
        self._base64 = self.option("base64", str, required=True)

    @property
    def filename(self) -> str:
        return self._filename

    @property
    def base64(self) -> str:
        return self._base64
